# eric3.VCS.cvsPackage.TagDialog

Module implementing a dialog to enter the data for a tagging operation.

### Classes

CvsTagDialog | Class implementing a dialog to enter the data for a tagging operation.

### Functions

None

## CvsTagDialog

Class implementing a dialog to enter the data for a tagging operation.

### Derived from

TagForm

### Methods

CvsTagDialog | Constructor
enableOkButton | Private method used to enable/disable the OK-button.
getParameters | Public method to retrieve the tag data.

### CvsTagDialog (Constructor)

CvsTagDialog(taglist, parent = None)

Constructor

taglist
  list of previously entered tags (QStringList)
parent
  parent widget (QWidget)

### CvsTagDialog.enableOkButton

enableOkButton(text)

Private method used to enable/disable the OK-button.

text
  ignored

### CvsTagDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tuple of QString and int (tag, tag operation)

Up